[Tool] phpBB 2.0.11 to phpBB 2.0.12 Code Changes

All new MODs released in our MOD Database will be announced in here. All support for released MODs needs to take place in here. No new MODs will be accepted into the MOD Database for phpBB2
Forum rules
READ: phpBB.com Board-Wide Rules and Regulations

On February 1, 2009 this forum will be set to read only as part of retiring of phpBB2.

Rating:

Excellent!
77
71%
Very Good
13
12%
Good
7
6%
Fair
4
4%
Poor
8
7%
 
Total votes: 109

Tom_S
Registered User
Posts: 524
Joined: Tue Jul 29, 2003 6:54 pm
Location: 127.0.0.1
Contact:

Post by Tom_S » Tue Feb 22, 2005 11:17 pm

salty78 wrote: Did you overwrite your config.php file by accident?


If that question is for me then "No".

I've done some dumb stuff but that ain't been one of `em yet :roll:
I went back in Time...
Image

User avatar
salty78
Registered User
Posts: 63
Joined: Sat Feb 21, 2004 10:14 am

Post by salty78 » Tue Feb 22, 2005 11:33 pm

:lol:

I was just making sure.
meh

User avatar
DragonMaster1
Registered User
Posts: 994
Joined: Tue Aug 17, 2004 11:04 am
Name: Terry
Contact:

Re: Version Information

Post by DragonMaster1 » Tue Feb 22, 2005 11:45 pm

Tom_S wrote: Did anyone figure out what is causing this error in the ACP and the fix for it?

Code: Select all

Unable to open connection to phpBB Server, reported error is:
Connection refused
It isn't my server before someone asks or says it.

I have three websites with phpbb installed and upgraded now to 2.0.12 and the same error on all three. Everything else is perfect. If no one has a fix I will just edit out this code and do manual update checks and wait for mailing list notices.

thanx in advance


I get that also and I'm now thinking that it is caused because any user to enter the board has to be a REGISTERED user to access ANY section of the board.

I wonder if there is a FIX for this as I'm sure there are a lot of boards that require membership to access any part of them.

dotslasher
Registered User
Posts: 17
Joined: Sat Mar 13, 2004 12:17 pm
Contact:

Post by dotslasher » Wed Feb 23, 2005 12:17 am

salty78 wrote:
dotslasher wrote:btw i'm using Php-Nuke Platinum if this gotten anything to do with it.



You should check with the guys at the nuke site to see if they can help you.

With that being said, you could probably just clear your browser cookies and try to login again.


well its not a nuke issue, since i rolled back to .11 and i still cant access the admincp, even after i cleared my cookies.

jamiejones
Registered User
Posts: 12
Joined: Mon Sep 27, 2004 3:04 am

Post by jamiejones » Wed Feb 23, 2005 3:54 am

asinshesq wrote: Right, they could stick the SQL stuff at the beginning of the mod script so that people who use easymod would not need to do anything more, and they could say clearly that the upgrade tables script is only for people who are not using easymod.


Or even one line saying "there are NO SQL CHANGES in this version (apart from the version number)"

Warren_L
Registered User
Posts: 19
Joined: Mon Nov 22, 2004 3:50 am

Post by Warren_L » Wed Feb 23, 2005 4:30 am

This may be a dumb question, but I'm going through the update mod and I'm on common.php.

I'm stuck here:

#
#-----[ FIND ]---------------------------------------------
# Line 56
$test = array('HTTP_GET_VARS' => NULL, 'HTTP_POST_VARS' => NULL, 'HTTP_COOKIE_VARS' => NULL, 'HTTP_SERVER_VARS' => NULL, 'HTTP_ENV_VARS' => NULL, 'HTTP_POST_FILES' => NULL);

#
#-----[ REPLACE WITH ]---------------------------------------------
#
$test = array('HTTP_GET_VARS' => NULL, 'HTTP_POST_VARS' => NULL, 'HTTP_COOKIE_VARS' => NULL, 'HTTP_SERVER_VARS' => NULL, 'HTTP_ENV_VARS' => NULL, 'HTTP_POST_FILES' => NULL, 'phpEx' => NULL, 'phpbb_root_path' => NULL);


I cannot find the code in line 56. This is what is there at this point:

// Unset globally registered vars - PHP5 ... hhmmm
if (@$ini_val('register_globals') == '1' || strtolower(@$ini_val('register_globals')) == 'on')
{
$var_prefix = 'HTTP';
$var_suffix = '_VARS';

$test = array('_GET', '_POST', '_SERVER', '_COOKIE', '_ENV');

foreach ($test as $var)
{
if (is_array(${$var_prefix . $var . $var_suffix}))
{
unset_vars(${$var_prefix . $var . $var_suffix});
@reset(${$var_prefix . $var . $var_suffix});
}

if (is_array(${$var}))
{
unset_vars(${$var});
@reset(${$var});
}
}

if (is_array(${'_FILES'}))
{
unset_vars(${'_FILES'});
@reset(${'_FILES'});
}

if (is_array(${'HTTP_POST_FILES'}))
{
unset_vars(${'HTTP_POST_FILES'});
@reset(${'HTTP_POST_FILES'});
}
}


Stumped.....

eagleking
Registered User
Posts: 32
Joined: Sat Jan 29, 2005 9:29 pm

Style updating

Post by eagleking » Wed Feb 23, 2005 4:34 am

I'm a novice wrt phpbb, so please don't redicule my following query :oops:!!!

The new update version 2.0.12 has updates for the subSilver style only and the forum I have installed doesn't include this style. It includes other styles. What should I do?

Should I upload the updated files to these different styles anyway? If so, isn't this going to ruin them???

yoeddy
Registered User
Posts: 535
Joined: Wed Feb 18, 2004 3:44 am
Location: Boise, Idaho

Post by yoeddy » Wed Feb 23, 2005 4:56 am

onigumo wrote: I use the latest version of eXtreme Styles by Cyberalien, and the original template.php is replaced, so I can't find the following:

Code: Select all

# 
#-----[ OPEN ]--------------------------------------------- 
# 
includes/template.php

#
#-----[ FIND ]---------------------------------------------
# Line 233
       		$filename = phpbb_realpath($this->root . '/' . $filename);

#
#-----[ REPLACE WITH ]---------------------------------------------
# 
       		$filename = ($rp_filename = phpbb_realpath($this->root . '/' . $filename)) ? $rp_filename : $filename;
Here's template.php lines 219-236:

Code: Select all

		// checking if all variables exist
		foreach($default as $var => $value)
		{
			if(!isset($board_config[$var]))
			{
				$board_config[$var] = $value;
				$add[] = $var;
			}
		}
		// checking if there are any outdated variables that should be deleted
		for($i=0; $i<count($outdated); $i++)
		{
			if(isset($board_config[$outdated[$i]]))
			{
				$del[] = $outdated[$i];
			}
		}
		if(!isset($board_config['xs_version']))
What does the above edit do anyway? And is it okay if I leave it out or how would I implement it into the modified version of template.php?


I have this exact same thing. The forum seems to be working fine after the update, but this is something I don't want to overlook. Do I need to worry about this?

jamiejones
Registered User
Posts: 12
Joined: Mon Sep 27, 2004 3:04 am

Re: Version Information

Post by jamiejones » Wed Feb 23, 2005 5:00 am

Tom_S wrote: Did anyone figure out what is causing this error in the ACP and the fix for it?

Code: Select all

Unable to open connection to phpBB Server, reported error is:
Connection refused
It isn't my server before someone asks or says it.

I have three websites with phpbb installed and upgraded now to 2.0.12 and the same error on all three. Everything else is perfect. If no one has a fix I will just edit out this code and do manual update checks and wait for mailing list notices.

thanx in advance

Assuming you've not made a typo in the code, it's probably your hosts firewall blocking outgoing connections.. In which case, there's nothing you can do about it.

User avatar
DragonMaster1
Registered User
Posts: 994
Joined: Tue Aug 17, 2004 11:04 am
Name: Terry
Contact:

Re: Style updating

Post by DragonMaster1 » Wed Feb 23, 2005 5:01 am

eagleking wrote: I'm a novice wrt phpbb, so please don't redicule my following query :oops:!!!

The new update version 2.0.12 has updates for the subSilver style only and the forum I have installed doesn't include this style. It includes other styles. What should I do?

Should I upload the updated files to these different styles anyway? If so, isn't this going to ruin them???


If you don't the entire board will break.

You need to make ALL subSilver changes to ANY other boards that you use.

Just tell the board to use the style you want.
But if you don't add ALL changes to it, there will most likely be a problem.

jamiejones
Registered User
Posts: 12
Joined: Mon Sep 27, 2004 3:04 am

Post by jamiejones » Wed Feb 23, 2005 5:05 am

CAG Hotshot wrote: Why is it that the text files provided are always such a jumble? Your updates are the only ones I ever run into that have no left justification when word wordwrap is turned on...

Is this due to corruption or ? Makes it extremely difficut to read the files...


CAG out...


The whole world doesn't revolve around MS you know!

Fortunately, these are in UNIX-TXT format, and they show perfectly (makes a change from all those spurious carriage-returns we have to suffer when looking at DOS/windows text files!)

You simply need to convert "LF" to "CR LF" - there are millions of utilities out there to do it -- or use an editor that can grok unix text files.

and switch word wrap off! :evil:

kdaddy
Registered User
Posts: 129
Joined: Wed Jan 14, 2004 5:51 am
Contact:

Post by kdaddy » Wed Feb 23, 2005 5:14 am

I have upgraded successfully to a point when I click on the show gallery for avatars I get the following message:
Parse error: parse error, unexpected T_ELSE in D:\hshome\xxx\xxx\phpbb2\includes\usercp_avatar.php on line 243

Fatal error: Call to undefined function: display_avatar_gallery() in D:\hshome\xxx\xxx\phpbb2\includes\usercp_register.php on line 817


Update when I hit submit in profile it gives this error in the header:

parse error: parse error, unexpected T_ELSE in D:\hshome\xxx\xxx.com\phpbb2\includes\usercp_avatar.php on line 243

Warning: Cannot modify header information - headers already sent by (output started at D:\hshome\xxx\xxx.com\phpbb2\includes\usercp_avatar.php:243) in D:\hshome\xxx\xxx.com\phpbb2\includes\page_header.php on line 490

Warning: Cannot modify header information - headers already sent by (output started at D:\hshome\xxx\xxx.com\phpbb2\includes\usercp_avatar.php:243) in D:\hshome\xxx\xxx.com\phpbb2\includes\page_header.php on line 492

Warning: Cannot modify header information - headers already sent by (output started at D:\hshome\xxx\xxx.com\phpbb2\includes\usercp_avatar.php:243) in D:\hshome\xxx\xxx\phpbb2\includes\page_header.php on line 493

Please advise where I need to go to fix this?


Edited: Disregard went back and reeditted the files and uploaded them. Everything working fine now.

Great mod: just need to reinstall operator on this end...lol :oops:
Last edited by kdaddy on Thu Feb 24, 2005 9:10 pm, edited 2 times in total.

User avatar
onigumo
Registered User
Posts: 1755
Joined: Fri Oct 31, 2003 2:32 am
Contact:

Post by onigumo » Wed Feb 23, 2005 5:38 am

yoeddy wrote:
onigumo wrote:I use the latest version of eXtreme Styles by Cyberalien, and the original template.php is replaced, so I can't find the following:

Code: Select all

# 
#-----[ OPEN ]--------------------------------------------- 
# 
includes/template.php

#
#-----[ FIND ]---------------------------------------------
# Line 233
       		$filename = phpbb_realpath($this->root . '/' . $filename);

#
#-----[ REPLACE WITH ]---------------------------------------------
# 
       		$filename = ($rp_filename = phpbb_realpath($this->root . '/' . $filename)) ? $rp_filename : $filename;
Here's template.php lines 219-236:

Code: Select all

		// checking if all variables exist
		foreach($default as $var => $value)
		{
			if(!isset($board_config[$var]))
			{
				$board_config[$var] = $value;
				$add[] = $var;
			}
		}
		// checking if there are any outdated variables that should be deleted
		for($i=0; $i<count($outdated); $i++)
		{
			if(isset($board_config[$outdated[$i]]))
			{
				$del[] = $outdated[$i];
			}
		}
		if(!isset($board_config['xs_version']))
What does the above edit do anyway? And is it okay if I leave it out or how would I implement it into the modified version of template.php?


I have this exact same thing. The forum seems to be working fine after the update, but this is something I don't want to overlook. Do I need to worry about this?


My question has already been answered a few posts below that. With eXtreme Styles' version of template.php, you do not need to make the change. So no, you don't have to worry about this.
I write articles on community building
@ The Infinity Program.

eagleking
Registered User
Posts: 32
Joined: Sat Jan 29, 2005 9:29 pm

Re: Style updating

Post by eagleking » Wed Feb 23, 2005 5:39 am

DragonMaster1 wrote: If you don't the entire board will break.
You need to make ALL subSilver changes to ANY other boards that you use.
Just tell the board to use the style you want.
But if you don't add ALL changes to it, there will most likely be a problem.


Thanx a bunch, DragonMaster1, and just to confirm, I'll repeat what I understood: I need to upload ALL subSilver changes to ANY style regardless of the fact that I don't have subSilver???

If so, please tell me to press my luck and see :? !

User avatar
MoLew
Registered User
Posts: 198
Joined: Fri Jul 05, 2002 7:52 pm
Location: Minnesota, U.S.A.

Re: Style updating

Post by MoLew » Wed Feb 23, 2005 5:41 am

eagleking wrote: I'm a novice wrt phpbb, so please don't redicule my following query :oops:!!!

The new update version 2.0.12 has updates for the subSilver style only and the forum I have installed doesn't include this style. It includes other styles. What should I do?

Should I upload the updated files to these different styles anyway? If so, isn't this going to ruin them???


If you haven't got subSilver at all, then look for similar lines, in similar places (line number "xx", plus or minus several; use the "find..." function within whatever editor you're using to make the changes), in the same file names called by the mod. (overall_footer.tpl, simple_footer.tpl, etc., should exist within whatever style your forum is using). If the style your forum is using is radically different from subSilver, you may need to do some detailed searching and use a bit of gray matter to figure out precisely where the new edits go. But if you're this far into phpBB, that shouldn't be a problem for you. :)

Make sure you make all the edits to all the .php files as directed in the mod. The only caveat is if you are using the Extreme Styles mod, in which case you won't need to edit the templet.php file (noted back on page one or two of this thread).

Post Reply

Return to “[2.0.x] MOD Database Releases”